#!/bin/sh


cd ${SRC_DIR}/apache-1.3
./configure --prefix=${APACHE_HOME} \
	    --enable-rule=SHARED_CORE \
	    --add-module=${SRC_DIR}/jakarta-tomcat/src/native/apache/modules/mod_ajp23.c \
	    --enable-module=most \
	    --enable-shared=max \
	    --disable-rule=WANTHSREGEX \
	    --enable-shared=ajp23
make
make install


# Fix configuration files, from helpers/binbuild
# Default port will be 8000 ( so non-root can start it )
# All paths are relative ( 
sed -e "s%Port 8080%Port 8000%" \
    -e "s%${APACHE_HOME}/%%" \
    ${APACHE_HOME}/conf/httpd.conf.default > ${APACHE_HOME}/conf/httpd.conf

cd ${SRC_DIR}/jakarta-tomcat/src/native/apache/jserv
${APACHE_HOME}/bin/apxs -c mod_jserv.c jserv*.c 


